#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: test-framework
version: 0.8.1.1
id: test-framework-0.8.1.1-6cb5164427998e80146f9b9f9aa544eb
key: testf_8qnrGlwfFEU8WvB3D89ebE
license: BSD3
maintainer: Libraries List <libraries@haskell.org>
homepage: https://batterseapower.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.Console Test.Framework.Runners.Options
    Test.Framework.Runners.TestPattern Test.Framework.Runners.API
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/test-framework-0.8.1.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/test-framework-0.8.1.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/test-framework-0.8.1.1
hs-libraries: HStest-framework-0.8.1.1-8qnrGlwfFEU8WvB3D89ebE
include-dirs: /usr/local/include
depends:
    ansi-terminal-0.6.2.1-45b37b0fd2ec6c9b1401ee63612af3c1
    ansi-wl-pprint-0.6.7.3-5ccddd4ee331b5c4ca72c56a8ec866b7
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    hostname-1.0-5b00eeba8f9c4084f4fa2fd87c7075f4
    old-locale-1.0.0.7-3588c6880f1cb77ccff98e204e99a556
    random-1.1-859a5366f9cc240228128d890d4923be
    regex-posix-0.95.2-d6c954387d664310a3b7f08120d4b992
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
    xml-1.3.14-7a2625cdf045b874d9799351fd6f69b1
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/test-framework-0.8.1.1/html/test-framework.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/test-framework-0.8.1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
